
// $Id: CvsCommand.cpp,v 1.16 2012/02/20 20:49:44 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
   \file    CvsCommand.cpp
   \brief   handles cvs commands
   \author  Hugo Pereira
   \version $Revision: 1.16 $
   \date    $Date: 2012/02/20 20:49:44 $
*/

#include "CvsCommand.h"



//___________________________________________________________________
unsigned int& CvsCommand::_idCounter( void )
{
  static unsigned int counter(0);
  return counter;
}

//___________________________________________________________________
CvsCommand::NameMap& CvsCommand::_names( void )
{
  static NameMap singleton;
  return singleton;
}

//___________________________________________________________________
void CvsCommand::initializeNames( void )
{
  Debug::Throw( "CvsCommand::initializeNames.\n" );
  _names()[LOG] = "cvs log";
  _names()[STATUS] = "cvs status";
  _names()[FAKE_UPDATE] = "cvs -n update";
  _names()[CHECKOUT] = "cvs checkout";
  _names()[UPDATE] = "cvs update";
  _names()[ADD] = "cvs add";
  _names()[REMOVE] = "cvs remove";
  _names()[COMMIT] = "cvs commit";
  _names()[CHECKOUT_REVISION] = "cvs checkout";
  return;
}

//___________________________________________________________________
QString CvsCommand::name( const Type& type )
{
  Debug::Throw( "CvsCommand::name.\n" );
  NameMap::const_iterator iter( _names().find( type ) );
  return iter != _names().end() ? iter.value():"";
}
