#ifndef FileInfoCacheDialog_h
#define FileInfoCacheDialog_h

// $Id: FileInfoCacheDialog.h,v 1.3 2012/02/21 12:01:36 hpereira Exp $

/******************************************************************************
 *
 * Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your FileInfo) any later
 * version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * software; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA   02111-1307 USA
 *
 *
 *******************************************************************************/

#include "CustomDialog.h"
#include "FileInfoCache.h"
#include "FileInfoModel.h"

// forward declaration
class TreeView;

//! displays Counter names and counts
class FileInfoCacheDialog: public CustomDialog
{

  public:

  //! constructor
  FileInfoCacheDialog( QWidget* );

  //! set cache
  void setCache( const FileInfoCache& );

  //! destructor
  virtual ~FileInfoCacheDialog( void )
  {}

  private:

  //! list
  TreeView& _list( void ) const
  {
    assert( list_ );
    return *list_;
  }

  //! FileInfo model
  FileInfoModel model_;

  //! list
  TreeView* list_;

};

#endif
