// $Id: Icons.h,v 1.18 2012/09/03 08:21:14 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#ifndef Icons_h
#define Icons_h

/*!
\file    Icons.h
\brief   Icon filenames
\author  Hugo Pereira
\version $Revision: 1.18 $
\date    $Date: 2012/09/03 08:21:14 $
*/

#include <QString>
#include "BaseIcons.h"

//! namespace for icon static name wrappers
namespace ICONS
{
    static const QString BUSY = "busy.png";
    static const QString CANCEL = "button_cancel.png";
    static const QString LINK = "link_overlay.png";
    static const QString DOCUMENT = "document.png";
    static const QString FOLDER = "folder.png";

    static const QString LINK_LARGE = "link_overlay-large.png";
    static const QString DOCUMENT_LARGE = "document-large.png";
    static const QString FOLDER_LARGE = "folder-large.png";

    static const QString PARENT_DIRECTORY = "go-up.png";
    static const QString PREVIOUS_DIRECTORY = "go-previous.png";
    static const QString NEXT_DIRECTORY = "go-next.png";
    static const QString HOME_DIRECTORY = "go-home.png";

    static const QString UNKNOWN = "unknown.png";
    static const QString UP_TO_DATE = "up_to_date.png";
    static const QString LOCALLY_MODIFIED = "locally_modified.png";
    static const QString LOCALLY_ADDED = "locally_added.png";
    static const QString LOCALLY_REMOVED = "locally_removed.png";
    static const QString REMOTELY_MODIFIED = "remotely_modified.png";
    static const QString REMOTELY_ADDED = "remotely_added.png";
    static const QString REMOTELY_REMOVED  = "remotely_removed.png";
    static const QString MERGE = "merge.png";
    static const QString CONFLICT = "conflict.png";


};

#endif
