#ifndef RevisionCacheDialog_h
#define RevisionCacheDialog_h

// $Id: RevisionCacheDialog.h,v 1.3 2012/02/21 12:01:37 hpereira Exp $

/******************************************************************************
 *
 * Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your Revision) any later
 * version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * software; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA   02111-1307 USA
 *
 *
 *******************************************************************************/

#include "CustomDialog.h"
#include "RevisionCache.h"
#include "RevisionCacheModel.h"

// forward declaration
class TreeView;

//! displays Counter names and counts
class RevisionCacheDialog: public CustomDialog
{

  public:

  //! constructor
  RevisionCacheDialog( QWidget* );

  //! set cache
  void setCache( const RevisionCache& );

  //! destructor
  virtual ~RevisionCacheDialog( void )
  {}

  private:

  //! list
  TreeView& _list( void ) const
  {
    assert( list_ );
    return *list_;
  }

  //! Revision model
  RevisionCacheModel model_;

  //! list
  TreeView* list_;

};

#endif
