#ifndef ViewModeMenu_h
#define ViewModeMenu_h

// $Id: ViewModeMenu.h,v 1.1 2012/09/03 12:14:58 hpereira Exp $
/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
****************************************************************************/

#include "Counter.h"
#include "FileSelectionFrame.h"

#include <QtGui/QMenu>
#include <QtGui/QAction>
#include <QtGui/QActionGroup>
#include <QtCore/QHash>

//! display available document classes
class ViewModeMenu: public QMenu, public Counter
{

    Q_OBJECT

    public:

    //! constructor
    ViewModeMenu( QWidget* );

    //! destructor
    virtual ~ViewModeMenu( void )
    {}

    signals:

    //! view mode changed
    void viewModeSelected( FileSelectionFrame::ViewMode );

    protected slots:

    //! update
    void _update( void );

    //! select document class from menu
    void _selectViewMode( QAction* );

    private:

    //! actions
    QActionGroup* actionGroup_;

    //! map document class to macro names
    typedef QHash< QAction*, FileSelectionFrame::ViewMode > ActionMap;
    ActionMap actions_;

};

#endif
